import * as React from "react";
//Sheet Dialog Overlay才使用【淘汰中！】
//所有？？ "aria-hidden"标记的 置位或者恢复
export function useHideBody(showing) {
    const overlayRef = React.useRef(null);
    const returnRef = React.useRef(null);
    function setElementsHidden() {
        const els = document.querySelectorAll("body > *");
        let originals = [];
        els.forEach(el => {
            if (el.contains(overlayRef.current)) {
                return;
            }
            const hidden = el.getAttribute("aria-hidden");
            if (hidden !== "true") {
                originals.push({ el, attr: hidden });
                el.setAttribute("aria-hidden", "true");
            }
        });
        return () => {
            originals.forEach(({ el, attr }) => {
                attr === null
                    ? el.removeAttribute("aria-hidden")
                    : el.setAttribute("aria-hidden", attr);
            });
        };
    }
    React.useEffect(() => {
        if (showing) {
            returnRef.current = setElementsHidden();
        }
        else if (returnRef.current) {
            returnRef.current();
        }
    }, [showing]);
    // unmount
    React.useEffect(() => {
        if (returnRef.current) {
            returnRef.current();
        }
    }, []);
    return {
        bind: { ref: overlayRef }
    };
}
//# sourceMappingURL=hide-body.js.map