import * as React from "react";
import { InputSize } from "./Form";
interface ComboBoxDatalistProps extends React.InputHTMLAttributes<HTMLInputElement> {
    /** The size of the input element */
    inputSize?: InputSize;
    /** 控制是否满上宽度;
     *  需要在<input> 上 去控制大尺寸上限的width:  ，以及自适应屏幕大小后的 max-width: 缩小尺寸。
     * */
    fullWidth?: boolean;
    datalist?: any[];
    onListChange: (value: string | number) => void;
    value?: string | number;
}
export declare function ComboBoxDatalist({ autoComplete, autoFocus, inputSize, fullWidth, datalist, style, placeholder, value, onListChange, ...other }: ComboBoxDatalistProps): import("@emotion/react/jsx-runtime").JSX.Element;
export {};
