import * as React from "react";
export function useCallbackRef() {
    const [ref, setRef] = React.useState(null);
    const fn = React.useCallback(node => {
        if (node !== null) {
            setRef(node);
        }
    }, []);
    return [ref, fn];
}
//# sourceMappingURL=use-callback-ref.js.map